[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

List of all members
Draw< T1, T2, C1, C2 > Class Template Reference

`#include <vigra/random_forest/rf_algorithm.hxx>`

## Detailed Description

template<class T1, class T2, class C1 = UnstridedArrayTag, class C2 = UnstridedArrayTag>
class vigra::rf::algorithms::Draw< T1, T2, C1, C2 >

draw current linkage Clustering (HClustering Visitor)

create a graphviz .dot file usage:

Matrix<double> distance = get_distance_matrix();
linkage.cluster(distance);
Draw<double, int> draw(features, labels, "linkagetree.graph");
linkage.breadth_first_traversal(draw);
vigra::linalg::Matrix
Definition matrix.hxx:125

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_algorithm.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.4